package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.WorkCenterDto;
import com.foreverwin.mesnac.meapi.model.Inventory;
import com.foreverwin.mesnac.production.dto.LoadInventoryDto;
import com.foreverwin.mesnac.production.model.LoadInventory;
import com.foreverwin.modular.core.util.FrontPage;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 上料表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-09
 */
public interface LoadInventoryService extends IService<LoadInventory> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<LoadInventory> selectPage(FrontPage<LoadInventory> frontPage, LoadInventory loadInventory);

    List<LoadInventory> selectList(LoadInventory loadInventory);

    HashMap<String, Object> getLoadInventoryList(WorkCenterDto workCenterDto);

    void loadInventory(LoadInventory loadInventory);

    void unLoadInventory(List<LoadInventoryDto> inventoryDtoList);

    Inventory consumption(LoadInventory loadInventory, BigDecimal costQty);

}